import request from '@/utils/request'

// 查询MmKeyword列表
export function listMmKeyword(query) {
    return request({
        url: '/api/v1/mm-keyword',
        method: 'get',
        params: query
    })
}

// 查询MmKeyword详细
export function getMmKeyword (id) {
    return request({
        url: '/api/v1/mm-keyword/' + id,
        method: 'get'
    })
}


// 新增MmKeyword
export function addMmKeyword(data) {
    return request({
        url: '/api/v1/mm-keyword',
        method: 'post',
        data: data
    })
}

// 修改MmKeyword
export function updateMmKeyword(data) {
    return request({
        url: '/api/v1/mm-keyword/'+data.id,
        method: 'put',
        data: data
    })
}

// 增加区间长度
export function insertBatchMmKeyword(data){
    return request({
        url: '/api/v1/mm-keyword/intervalBatch',
        method: 'post',
        data: data
    })
}

// 删除MmKeyword
export function delMmKeyword(data) {
    return request({
        url: '/api/v1/mm-keyword',
        method: 'delete',
        data: data
    })
}

